## class osgUtx::TestCase

> TestCase, is the supplies the interface for a Composite pattern's \em leaf class, though it is not a leaf in itself

## Inheritance:

### Public Methods

TestCase( const std::string& sName )
virtual bool accept( Visitor& v )
virtual void run( const Context& ) = 0

### Public Members

typedef TestContext Context

### Protected Methods

virtual ~TestCase()

### Inherited from Test:

### Public Methods

const std::string& name() const

### Public Members

typedef TestVisitor Visitor

### Protected Fields

std::string _name

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

> TestCase, is the supplies the interface for a Composite pattern's \em leaf class, though it is not a leaf in itself

`typedef TestContext Context`

`TestCase( const std::string& sName )`

`virtual bool accept( Visitor& v )`

`virtual void run( const Context& ) = 0`

`virtual ~TestCase()`

Direct child classes:
  TestCase_

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.